Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class SelectByIdTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.SelectByIdTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class SelectByIdTag
extends BaseTag

A tag which finds a Content via its identifier and places it in a script variable for use.

See Also:
  Serialized Form

Field Summary
`protected String` | `contentHome` Deprecated. The JNDI name of the ContentManager to contact.
`protected String` | `contentId` Deprecated. The identifier of the content.
`protected Map` | `contextParams` Deprecated. The search context params.
`protected String` | `onNotFound` Deprecated. The error message to give if the identifier is not found.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectByIdTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated. Called to execute the tag.
`String` | `getContentHome()` Deprecated. Get the value of `contentHome`.
`String` | `getContentId()` Deprecated. Get the value of `contentId`.
`Map` | `getContextParams()` Deprecated. Get the context params.
`String` | `getOnNotFound()` Deprecated. Get the value of `onNotFound`.
`void` | `release()` Deprecated. Release any resources.
`void` | `setContentHome(String v)` Deprecated. Set the value of `contentHome`.
`void` | `setContentId(String v)` Deprecated. Set the value of `contentId`.
`void` | `setContextParams(Map m)` Deprecated. Set the context params.
`void` | `setContextParams(String str)` Deprecated. Set the context params from semi-colon separate list of name=value pairs.
`void` | `setOnNotFound(String v)` Deprecated. Set the value of `onNotFound`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentHome

    protected String contentHome

  Deprecated.
  The JNDI name of the ContentManager to contact.

### contentId

    protected String contentId

  Deprecated.
  The identifier of the content.

### onNotFound

    protected String onNotFound

  Deprecated.
  The error message to give if the identifier is not found.

### contextParams

    protected Map contextParams

  Deprecated.
  The search context params.

Constructor Detail

### SelectByIdTag

    public SelectByIdTag()

  Deprecated.

Method Detail

### getContentHome

    public String getContentHome()

  Deprecated.
  Get the value of `contentHome`.

### setContentHome

    public void setContentHome(String v)

  Deprecated.
  Set the value of `contentHome`.

### getContentId

    public String getContentId()

  Deprecated.
  Get the value of `contentId`.

### setContentId

    public void setContentId(String v)

  Deprecated.
  Set the value of `contentId`.

### getOnNotFound

    public String getOnNotFound()

  Deprecated.
  Get the value of `onNotFound`.

### setOnNotFound

    public void setOnNotFound(String v)

  Deprecated.
  Set the value of `onNotFound`.

### getContextParams

    public Map getContextParams()

  Deprecated.
  Get the context params.

### setContextParams

    public void setContextParams(String str)

  Deprecated.
  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(Map m)

  Deprecated.
  Set the context params.

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated.
  Called to execute the tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### release

    public void release()

  Deprecated.
  Release any resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved